Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000680Core InformUnderstandingpublic2011-06-24 10:012014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000680: ParseToken permutes the match list
DescriptionThe ParseToken loops that push and pop the match list entries both run through indices in forward order, so the match list is reversed by the save/restore process. Because the understand line in the attached source introduces invocations of ParseToken, the doors are listed out-of-order in the disambiguation question, whereas they appear in the correct order without the understand line.
Minimal Source Text To Reproduce
There is a room.
Every thing has a number called the ordinal.
Understand the ordinal property as describing a thing.
Here are the first door, the second door, and the third door.
Test me with "x door."
Additional InformationTaken from http://www.intfiction.org/forum/viewtopic.php?f=7&t=2666. [^]
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002516)
graham (administrator)
2014-02-16 08:29

As it happens, the parser is such that the source text here causes the match list to be inverted an even number of times, and therefore nothing bad happens, but I agree - there's no reason for ParseToken to invert the match list when it's easy not to, so I've made the change. (This does indeed fix a slightly odd question asked in the example "Originals".)

- Issue History
Date Modified Username Field Change
2011-06-24 10:01 EmacsUser New Issue
2011-06-24 22:36 jmcgrew Status new => confirmed
2014-02-16 08:29 graham Note Added: 0002516
2014-02-16 08:29 graham Status confirmed => resolved
2014-02-16 08:29 graham Resolution open => fixed
2014-02-16 08:29 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker